<?php

namespace App\Http\Controllers;
use App\Models\IkeaProducts;
use Illuminate\Http\Request;
use Illuminate\Http\Client\Pool;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Log;


class IkeaProductsController extends Controller
{
  public function search(Request $request, string $field, string $text, ?string $country = '')
  {
    return IkeaProducts::search($field, $text, $country);
  }
  public function multi_search(Request $request, string $item, ?string $desc='', ?string $code='', ?string $country = '')
  {
    return IkeaProducts::search($item,$desc,$code,$country);
  }
}
